import request from '/@/utils/request';

export function holidayTimeApi() {
    return {
        // 分页获取休息日列表
        getAllBreakTimeRuleByPage: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/breakTime/getAllBreakTimeRuleByPage`,
                method: 'post',
                data: data
            });
        },

        // 新增休息日
        addBreakTime: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/breakTime/addBreakTimeRule`,
                method: 'post',
                data: data
            });
        },

        // 修改休息日
        updateBreakTime: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/breakTime/updateBreakTimeRule`,
                method: 'post',
                data: data
            });
        },

        // 删除休息日
        deleteBreakTime: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/breakTime/deleteBreakTimeRule`,
                method: 'post',
                data: data
            });
        },

        // 删除休息日
        deleteBatch: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/breakTime/deleteBatchBreakTimeRule`,
                method: 'post',
                data: data
            });
        }
    };
}
